Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
iseq_insn_data Struct Reference

## Data Fields
LINK_ELEMENT | link
enum ruby_vminsn_type | insn_id
unsigned int | line_no
int | operand_size
int | sc_state
VALUE * | operands

## Detailed Description

Definition at line 51 of file compile.c.

## Field Documentation

enum ruby_vminsn_type iseq_insn_data::insn_id

Definition at line 53 of file compile.c.

Referenced by calc_sp_depth(), insn_data_length(), insn_data_to_s_detail(), insn_set_specialized_instruction(), iseq_insns_unification(), iseq_peephole_optimize(), iseq_set_sequence(), iseq_set_sequence_stackcaching(), iseq_specialized_instruction(), and new_insn_core().

unsigned int iseq_insn_data::line_no

Definition at line 54 of file compile.c.

Referenced by insn_data_line_no(), iseq_peephole_optimize(), iseq_set_sequence(), iseq_set_sequence_stackcaching(), and new_insn_core().

LINK_ELEMENT iseq_insn_data::link

Definition at line 52 of file compile.c.

Referenced by get_next_insn(), get_prev_insn(), iseq_insns_unification(), iseq_peephole_optimize(), and new_insn_core().

int iseq_insn_data::operand_size

Definition at line 55 of file compile.c.

Referenced by insn_set_specialized_instruction(), iseq_peephole_optimize(), iseq_set_sequence(), and new_insn_core().

VALUE* iseq_insn_data::operands

Definition at line 57 of file compile.c.

Referenced by calc_sp_depth(), compile_massign_lhs(), insn_data_to_s_detail(), insn_set_specialized_instruction(), iseq_peephole_optimize(), iseq_set_sequence(), and new_insn_core().

int iseq_insn_data::sc_state

Definition at line 56 of file compile.c.

Referenced by new_insn_core().

The documentation for this struct was generated from the following file:

- compile.c